<?php

namespace VerillaGangWp;

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

class Order {
	public static function new_order( $order_id ) {
		$click_id = $_SESSION['verilla_click_id'] ?? $_COOKIE['verilla_click_id'] ?? null;

		if ( is_null( $click_id ) ) {
			return;
		}

		$order_details = wc_get_order( $order_id );

		Database::insert_new_order_conversion( $click_id, $order_details );
		Postback::fire_order_postback( $click_id, $order_details );
	}

    public static function cancel_order( $order_id ) {
        $click_id = Database::get_click_id( $order_id );

        if ( is_null( $click_id ) ) {
            return;
        }

        Postback::fire_order_cancel_postback( $click_id );
    }
}